Make Extension:Score use TimedMediaHandler for MIDI
Closed, ResolvedPublic

Description

Author: sumanah

Description:
Currently, [[Extension:Score]] depends on OggHandler, which is now obsolete for WMF sites (we use TimedMediaHandler instead).

We should make the MIDI generation and audio player output for Extension:Score configurable and/or dependent on the presence of OggHandler, per https://bugzilla.wikimedia.org/show_bug.cgi?id=33193#c36 .


Version: master
Severity: blocker

bzimport set Reference to bz43388.
bzimport created this task.Via LegacyDec 24 2012, 11:01 PM
bzimport added a comment.Via ConduitDec 24 2012, 11:04 PM

sumanah wrote:

Calling this "easy" per https://bugzilla.wikimedia.org/show_bug.cgi?id=33193#c36 .

RobLa-WMF added a comment.Via ConduitFeb 27 2013, 4:11 PM

Jan is going to look at porting Score to using TimedMediaHandler, so that we can get this deployed.

bzimport added a comment.Via ConduitMar 6 2013, 9:16 AM

jgerber wrote:

First version in gerrit:

Reedy added a comment.Via ConduitMar 18 2013, 10:12 PM

Merged(In reply to comment #3)

First version in gerrit:

Score part is merged, TMH commits are not

bzimport added a comment.Via ConduitMar 26 2013, 7:44 AM

jgerber wrote:

TMH part is merged now.

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:22 AM
Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:23 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.